#
# spec file for package mISDNuser
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           mISDNuser
URL:            http://misdn.org/
License:        GPL-2.0 ; LGPL-2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Hardware/ISDN
Summary:        Tools and library for mISDN
Version:        2.0.11+git
Release:        4.4
#Git-Clone:	git://git.misdn.org/mISDNuser
#Changelog:	http://misdn.org/index.php/MISDN_Release_Notes
Source0:        %{name}-%{version}.tar.bz2
Source1:	mISDNuser-rpmlintrc
#Patch1:         misdn-fixes.diff

%description
This package contains libmisdn and some tools to use the mISDN driver.
mISDN is the new modular ISDN driver for Linux.

%package -n libmisdn1
Summary:        mISDN core library
Group:          System/Libraries
Obsoletes:	libmisdn0

%description -n libmisdn1
The mISDN core library.

##%package -n libsuppserv0
##Summary:        Library for ISDN Supplementary Services
##Group:          System/Libraries

##%description -n libsuppserv0
##The mISDN library for Supplemental Services support.

%package devel
Summary:        C header files for mISDN
Group:          Development/Libraries/C and C++
Requires:       libmisdn1 = %version

%description devel
This package contain the header files and libraries for
mISDNuser development.

%prep
%setup -qn %name
##patch -P 1 -p1

%build
if [ ! -e configure ]; then
	autoreconf -fi;
fi;
%configure --disable-static
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
find "$b/%_libdir" -type f -name "*.la" -delete;

%post -n libmisdn1
/sbin/ldconfig

%postun -n libmisdn1
/sbin/ldconfig

##%post -n libsuppserv0 -p /sbin/ldconfig

##%postun -n libsuppserv0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/*
%_sbindir/*
%dir /etc/udev
%dir /etc/udev/rules.d
%config %{_sysconfdir}/udev/rules.d/45-misdn.rules

%files -n libmisdn1
%defattr(-,root,root)
%_libdir/libmisdn.so.1*

##%files -n libsuppserv1
##%defattr(-,root,root)
##%_libdir/libsuppserv.so.1*

%files devel
%defattr(-,root,root)
%_includedir/mISDN
%_libdir/*.so

%changelog
* Sun Oct  9 2011 jengelh@medozas.de
- Update to mISDNuser-2.0.2
  * new userspace API, uses sockets to communicate with kernel
  * layer3 (TE/NT) is done in userspace now
  * Q.931/DSS1 support for TE/NT
  * note: Asterisk integration occurs via chan_lcr
- Employ shlib policy
- Remove redundant/obsolete tags/sections (cf. specfile guidelines)
* Fri Jun  4 2010 cristian.rodriguez@opensuse.org
- do not fail when selinux is running
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Mon Sep  1 2008 kkeil@suse.de
-  first version
